function [f,a] = ort_k_l2fa(f1,l1,a1,ln)
%prusecik s polednikem
%dopocet sirky fi a azimutu

ro = 180/pi;

U1 = f1/ro;
V1 = l1/ro;
A1 = a1/ro;

VM = ln/ro;


a = ro * acos(cos(A1)*cos(VM-V1) - sin(A1)*sin(VM-V1)*sin(U1));

 if(a < 0)
     a = a + 360; %azimut ma byt kladny
 end

if(a1 > 180 & a < 180)
    a = 360 - a;
end
 
 
f = ro * acos((sin(A1)*cos(U1))/sin(a/ro));

if(f > 90)
    f = f - 180;
    a = 360 - a;
end

%osetreni znamnka vsledku...
[lX,aX] = ort_k_f2la(f1,l1,a1,0);%prusecik s rovnikem urcuje polokoule, 
                                 %na kterych je fi + a - (pozna se to podle bodu f1,l1)

F = -sign(f1);
if(F == 0)
    F = 1;
end


D = l1 - lX;
if(D > 180)
    D = D - 360;
end
if(D < -180)
    D = D + 360;
end

E = ln - lX;
if(E > 180)
    E = E - 360;
end
if(E < -180)
    E = E + 360;
end

if(sign(D) == sign (E))
    F = -F;
end

f = F * abs(f);