function [fn,ln,an] = ort_k_nejsever(f1,l1,a1)
%urceni nejsevernejsiho bodu ortodromy

ro = 180/pi;

U1 = f1/ro;
V1 = l1/ro;
A1 = a1/ro;

an = 90;

fn = ro * acos(cos(U1) * sin(A1));

if(fn > 90)
    fn = 180 - fn;
end

[ln,q] = ort_k_f2la(f1,l1,a1,fn);

if(q ~= 90)
    ln = ln - 360;
end

if(ln > 180)
    ln = ln - 360;
end