%VG11 uloha 2.2 (ortodroma na kouli)
%RSC (rsc@email.cz)

%dms2mat(deg2dms(w1))

clear %vymazani pameti
clc %smazani obrazovky


fid = fopen('2.2.txt','w'); %vytvoreni *.txt souboru pro vystup


ro = 180/pi;
R = 6378000;


fprintf(fid,'VG11 - uloha 2.2\n');
fprintf(fid,'----------------\n\n');


%Ortodroma 1 
fA = [-85 52 21.000];%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
lA = [60 16 34.000];
aA = [221 24 35.000];

%Ortodroma 2
fB = [-36 35 50.000];
lB = [130 41 51.000];

fC = [61 57 12.000];
lC = [-107 32 33.000];

%prevod na nonagezimal
fA = dms2deg(mat2dms(fA));
lA = dms2deg(mat2dms(lA));
aA = dms2deg(mat2dms(aA));

fB = dms2deg(mat2dms(fB));
lB = dms2deg(mat2dms(lB));

fC = dms2deg(mat2dms(fC));
lC = dms2deg(mat2dms(lC));

%dopocet azimutu v bode B
aB = ort_k_flfl2a(fB,lB,fC,lC);

fprintf(fid,'Ortodroma 1\n');
fprintf(fid,'=================================================\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s rovnikem\n');
fprintf(fid,'------------------------------\n');

fn = 0;%sirka rovniku
[ln,an] = ort_k_f2la(fA,lA,aA,fn);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s nultym polednikem\n');
fprintf(fid,'------------------------------\n');

ln = 0; %polednik
[fn,an] = ort_k_l2fa(fA,lA,aA,ln);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nNejsevernejsi bod\n');
fprintf(fid,'------------------------------\n');

[fn,ln,an] = ort_k_nejsever(fA,lA,aA);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s obratnikem Raka\n');
fprintf(fid,'------------------------------\n');

fn = 23.5;%sirka rovniku
[ln,an] = ort_k_f2la(fA,lA,aA,fn);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));


















fprintf(fid,'\n\n\nOrtodroma 2\n');
fprintf(fid,'=================================================\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s rovnikem\n');
fprintf(fid,'------------------------------\n');

fn = 0;%sirka rovniku
[ln,an] = ort_k_f2la(fB,lB,aB,fn);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s nultym polednikem\n');
fprintf(fid,'------------------------------\n');

ln = 0; %polednik
[fn,an] = ort_k_l2fa(fB,lB,aB,ln);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nNejsevernejsi bod\n');
fprintf(fid,'------------------------------\n');

[fn,ln,an] = ort_k_nejsever(fB,lB,aB);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\nPrusecik s obratnikem Raka\n');
fprintf(fid,'------------------------------\n');

fn = 23.5;%sirka rovniku
[ln,an] = ort_k_f2la(fB,lB,aB,fn);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));
fprintf(fid,'azimut = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(an)));
















fprintf(fid,'\n\n\nPrusecik ortodrom\n');
fprintf(fid,'=================================================\n');

[fn,ln] = ort_k_prusecik(fA,lA,aA,fB,lB,aB);

fprintf(fid,' sirka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(fn)));
fprintf(fid,' delka = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(ln)));



fclose(fid);
fprintf('\n\nCiselne vysledky jsou ulozeny v souboru "2.2.txt"\n v pracovnim adresari\n\n');