function [l,a] = ort_k_f2la(f1,l1,a1,fn)
%prusecik s rovnobezkou
%dopocet delky lamda a azimutu

if(fn < -90 | fn > 90)
    fprintf('\n\n! Zadana sirka je mimo povoleny rozsah !\n\n\n');
    return;
end

K = 0;

if(a1 > 180)
    K = 180;
end

ro = 180/pi;

U1 = f1/ro;
V1 = l1/ro;
A1 = a1/ro;

UM = fn/ro;

a = ro*asin((cos(U1)*sin(A1))/cos(UM));

if(sign(fn - U1*ro) ~= sign(180 - a - A1*ro + K))
    a = 180 - a;
end

if(a < 0)
    a = a + 360; %azimut ma byt kladny
end

DV = ro*2*atan2(cos((U1-UM)/2),tan((A1+180/ro-a/ro)/2) * cos(90/ro - (U1+UM)/2));

%DV = ro*2*atan((cos((U1-UM)/2)) / ( tan((A1+180/ro-a/ro)/2) * cos(90/ro - (U1+UM)/2) ));

l = l1 + DV;

if(l > 180)
    l = l - 360;
end

if(l < -180)
    l = l + 360;
end