%VG11 uloha 2.1 (sfrick trigonometrie)
%RSC (rsc@email.cz)

clear %vymazani pameti
clc %smazani obrazovky


fid = fopen('2.1.txt','w'); %vytvoreni *.txt souboru pro vystup


ro = 180/pi;
R = 6378000;


fprintf(fid,'VG11 - uloha 2.1\n');
fprintf(fid,'----------------\n\n');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'==========================================\n');
fprintf(fid,'                   SSS\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

s1 = 33673.974; %vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
s2 = 26690.500;
s3 = 34126.366;

fprintf(fid,'s1 = %6.3f m\n',s1);
fprintf(fid,'s1 = %6.3f m\n',s2);
fprintf(fid,'s1 = %6.3f m\n',s3);

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');

s1 = s1/R;
s2 = s2/R;
s3 = s3/R;

w1 = ro*acos((cos(s1) - cos(s2) * cos(s3)) / (sin(s2)*sin(s3)));
fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w1)));

w2 = ro*acos((cos(s2) - cos(s3) * cos(s1)) / (sin(s1)*sin(s3)));
fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w2)));

w3 = ro*acos((cos(s3) - cos(s1) * cos(s2)) / (sin(s1)*sin(s2)));
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w3)));

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\n\n\n==========================================\n');
fprintf(fid,'                   UUU\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

w1 = [55 09 35.62];%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
w2 = [54 05 43.82];
w3 = [70 44 42.86];



fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',w1);
fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',w2);
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',w3);


w1 = dms2deg(mat2dms(w1));%prevod na nonagezimal
w2 = dms2deg(mat2dms(w2));
w3 = dms2deg(mat2dms(w3));

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');


s1 = R * acos((cos(w1/ro)+cos(w2/ro)*cos(w3/ro)) / (sin(w2/ro)*sin(w3/ro)));
fprintf(fid,'s1 = %6.3f m\n',s1);

s2 = R * acos((cos(w2/ro)+cos(w3/ro)*cos(w1/ro)) / (sin(w1/ro)*sin(w3/ro)));
fprintf(fid,'s2 = %6.3f m\n',s2);

s3 = R * acos((cos(w3/ro)+cos(w1/ro)*cos(w2/ro)) / (sin(w1/ro)*sin(w2/ro)));
fprintf(fid,'s3 = %6.3f m\n',s3);

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
fprintf(fid,'\n\n\n==========================================\n');
fprintf(fid,'                   SUS\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

s1 = 30950.490;%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
s2 = 40663.687;
w3 = [49 56 45.23];

fprintf(fid,'s1 = %6.3f m\n',s1);
fprintf(fid,'s2 = %6.3f m\n',s2);
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',w3);

s1 = s1/R;%prevod na nonagezimal
s2 = s2/R;
w3 = dms2deg(mat2dms(w3));

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');

s3 = R * acos(cos(s1)*cos(s2)+sin(s1)*sin(s2)*cos(w3/ro));
fprintf(fid,'s3 = %6.3f m\n',s3);

w1 = ro * asin((sin(s1)*sin(w3/ro))/sin(s3/R));
fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w1)));

w2 = ro * asin((sin(s2)*sin(w3/ro))/sin(s3/R));
fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w2)));

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
fprintf(fid,'\n\n\n==========================================\n');
fprintf(fid,'                   USU\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

w2 = [61 13 15.71];%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
w3 = [59 31 5.90];
s1 = 34082.600;

fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',w2);
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',w3);
fprintf(fid,'s1 = %6.3f m\n',s1);

w2 = dms2deg(mat2dms(w2));%prevod na nonagezimal
w3 = dms2deg(mat2dms(w3));
s1 = s1/R;

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');


w1 = ro * acos(-cos(w2/ro)*cos(w3/ro)+sin(w2/ro)*sin(w3/ro)*cos(s1));
fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w1)));

s2 = R * asin((sin(s1)*sin(w2/ro))/sin(w1/ro));
fprintf(fid,'s2 = %6.3f m\n',s2);

s3 = R * asin((sin(s1)*sin(w3/ro))/sin(w1/ro));
fprintf(fid,'s3 = %6.3f m\n',s3);

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf(fid,'\n\n\n==========================================\n');
fprintf(fid,'                   SSU\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

s1 = 40151.557;%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
s2 = 29773.263;
w1 = [40 17 7.88];

fprintf(fid,'s1 = %6.3f m\n',s1);
fprintf(fid,'s2 = %6.3f m\n',s2);
fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',w1);

s1 = s1/R;%prevod na nonagezimal
s2 = s2/R;
w1 = dms2deg(mat2dms(w1));

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');

w2 = ro * asin((sin(s2) * sin(w1/ro)) / (sin(s1)));
fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w2)));

s3 = 2*R*atan((tan((s1 + s2)/2)) * ((cos((w1/ro + w2/ro)/2)) / (cos((w1/ro - w2/ro)/2))));
fprintf(fid,'s3 = %6.3f m\n',s3);

w3 = ro * acos((cos(s3/R) - cos(s1)*cos(s2)) / (sin(s1) * sin(s2)));
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w3)));

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
fprintf(fid,'\n\n\n==========================================\n');
fprintf(fid,'                   SUU\n');
fprintf(fid,'==========================================\n');

fprintf(fid,'zadane hodnoty\n');
fprintf(fid,'--------------\n');

s1 = 34460.797;%vstupni hodnoty  <|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
w1 = [34 31 30.85];
w2 = [29 50 5.63];

fprintf(fid,'s1 = %6.3f m\n',s1);
fprintf(fid,'w1 = %4.f %.f'' %.2f''''\n',w1);
fprintf(fid,'w2 = %4.f %.f'' %.2f''''\n',w2);

s1 = s1/R; %prevod na nonagezimal
w1 = dms2deg(mat2dms(w1));
w2 = dms2deg(mat2dms(w2));

fprintf(fid,'\n\nvypoctene hodnoty\n');
fprintf(fid,'-----------------\n');

s2 = R * asin((sin(s1)*sin(w2/ro)) / (sin(w1/ro)));
fprintf(fid,'s2 = %6.3f m\n',s2);

s3 = 2*R*atan((tan((s1 + s2/R)/2)) * ((cos((w1/ro + w2/ro)/2)) / (cos((w1/ro - w2/ro)/2))));
fprintf(fid,'s3 = %6.3f m\n',s3);


w3 = ro * acos((cos(s3/R) - cos(s1)*cos(s2/R)) / (sin(s1) * sin(s2/R)));
fprintf(fid,'w3 = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(w3)));

C = w1 + w2 + w3 - 180;
fprintf(fid,'C = %4.f %.f'' %.2f''''\n',dms2mat(deg2dms(C)));



fclose(fid);
fprintf('Ciselne vysledky jsou ulozeny v souboru "2.1.txt"\n v pracovnim adresari\n\n');